<?php
///////////////////////////////////////////////////
//2010 (C)
//Карпухин Павел
///////////////////////////////////////////////////
require_once "../utils/chlang.php";

$title=$titlepage = $TEXT['zhanr-title'];

require_once "../config_a.php";
require_once "../utils/functions.php";
require_once "../utils/top_adm_film.php";

if($result2['administrator'] == 0) {puterror($result2['skin'],$TEXT['error-loginform2']); require_once "../utils/bottom_adm_film.php"; exit();}

if(empty($_POST['zhanr'])) {puterror($result2['skin'],$TEXT['error-zhanr1']); require_once "../utils/bottom_adm_film.php"; exit();}
if(strlen($_POST['zhanr'])>255) {puterror($result2['skin'],$TEXT['error-zhanr2']); require_once "../utils/bottom_adm_film.php"; exit();}

if(isset($_POST['zhanr'])) {$zhanr=trim($_POST['zhanr']);}
 else {$zhanr ="";}
  if(empty($zhanr)) {puterror($result2['skin'],$TEXT['error-spaces']); require_once "../utils/bottom_adm_film.php"; exit();}

$_POST['zhanr'] = rep($_POST['zhanr']);

$query10 = mysqli_query($dbcnx,"SELECT COUNT(`zhanr_id`) AS c_zhanr_id FROM `tbl_zhanr` WHERE `zhanr`='".$_POST['zhanr']."' AND use_prog='2' ");
$result10 = mysqli_fetch_array($query10);
 if($result10['c_zhanr_id']>0) {puterror($result2['skin'],$TEXT['error-double']); require_once "../utils/bottom_adm.php"; exit();}

  //*************************************
  //Информация для лога
  $ip = $_SERVER['REMOTE_ADDR'];
  $doing = $TEXT['log-zhanr1'];
  $what = $_POST['zhanr'];
  $who = $result2['familiya']." ".$result2['name'];
  //*************************************
  $query = "INSERT INTO `tbl_zhanr` ( `zhanr_id` , `zhanr`, `use_prog` ) VALUES ( NULL , '".$_POST['zhanr']."', '2')";
  if(mysqli_query($dbcnx,$query))
  {
    $query2 = "INSERT INTO tbl_logs ( `log_id` , `data` , `ip` , `who` , `doing` , `what` ) VALUES ( NULL , NOW() , '$ip' , '$who' , '$doing' , '$what')";
        if(mysqli_query($dbcnx,$query2))
           {
             echo "<html><head>
                   <meta HTTP-EQUIV='Refresh' CONTENT='0; URL=index.php' />
                   </head></html>";
           } else {puterror($result2['skin'],$TEXT['error-log']); require_once "../utils/bottom_adm_film.php"; exit();}
  } else {puterror($result2['skin'],$TEXT['error-tbl14']); require_once "../utils/bottom_adm_film.php"; exit();}
require_once "../utils/bottom_adm_film.php";
?>